unit Guide;

interface

procedure versionGuide(v: String; comments: Boolean);

implementation

procedure versionGuide(v: String; comments: Boolean);
begin
  WriteLn('diyo Version ' + v );
  WriteLn('');
  if comments then
    begin
{ Shift_JIS }
      WriteLn('diyo -f bars.txt     # Edit according to bars.txt ');
      WriteLn('diyo -k -aN         #  is subsituted with N. ');
      WriteLn('diyo -k -aN file    #  is subsituted with N to produce a binary file. ');
      WriteLn('diyo -s@ -eP       # @ is subsituted with P and represented in EUC-JP. ');
      WriteLn('diyo -s@ -eP file  # @ is subsituted with P to produce a binary file. ');
      WriteLn('diyo -s@ -eP -w    # -w shows which table diyo uses. ');
      WriteLn('diyo -V              # version ');
      WriteLn('diyo -VC             # version with comments ');
    end
  else
    begin
{ Shift_JIS }
      WriteLn('diyo -f bars.txt     ');
      WriteLn('diyo -k -aN         ');
      WriteLn('diyo -k -aN file    ');
      WriteLn('diyo -s@ -eP       ');
      WriteLn('diyo -s@ -eP file  ');
      WriteLn('diyo -s@ -eP -w    ');
      WriteLn('diyo -V              ');
      WriteLn('diyo -VC             ');
    end;

  Halt(1);
end;

end.
