unit Guide;

interface

procedure versionGuide(v: String; comments: Boolean);

implementation

procedure versionGuide(v: String; comments: Boolean);
const
  VERSION_TEXT = 'version.txt';
var
  versionFile: TextFile;
begin
  AssignFile(versionFile, VERSION_TEXT);
  Rewrite(versionFile);
  Writeln(versionFile,  'SideAce Delphi Version ' + v );
  Writeln(versionFile, '');
  if comments then
    begin
      Writeln(versionFile, 'SideAce -c4   # Move the SideAce window to Corner-4.');
      Writeln(versionFile, 'SideAce -e2   # 1: EUC-JP. 2: Shift_JIS. 3: UTF-8 ');
      Writeln(versionFile, 'SideAce -f    # The SideAce window is entitled SideAce Delphi. ');
      Writeln(versionFile, 'SideAce -p    # PDF help ');
      Writeln(versionFile, 'SideAce -V    # version ');
      Writeln(versionFile, 'SideAce -VC   # version with comments ');
    end
  else
    begin
      Writeln(versionFile, 'SideAce -c4   ');
      Writeln(versionFile, 'SideAce -e2   ');
      Writeln(versionFile, 'SideAce -f    ');
      Writeln(versionFile, 'SideAce -p    ');
      Writeln(versionFile, 'SideAce -V    ');
      Writeln(versionFile, 'SideAce -VC   ');
    end;

  CloseFile(versionFile);
  Halt(1);
end;

end.
