program SideAce;

{*
SideAce Delphi Version 1.06
Displaying the SideAce window
Copyright 2019 Sogaya

Delphi 4
Delphi 2009

*}

uses
  Forms,
  SysUtils,
  SideAceForm in 'SideAceForm.pas' {Form1},
  VersionForm in 'VersionForm.pas' {Form2},
  Guide in 'Guide.pas',
  SparsePopulationUTF8 in 'SparsePopulationUTF8.pas',
  SparsePopulationEUC in 'SparsePopulationEUC.pas',
  Accessible in 'Accessible.pas',
  RecordForm in 'RecordForm.pas' {Form3};

{$R *.res}

const
  HYPHEN = '-';
  VERSION_COMMENTS = '-VC';
  VERSION_GUIDE = '-V';
  VERSION_NUMBER = '1.06';
  WITHOUT_COMMENTS = False;
  WITH_COMMENTS = True;
var
  head: String;
  i: Integer;
  s: String;
begin
  binary_files_are_accessible_to_SideAce;
  ACE_should_disappear;

  for i := 1 to ParamCount do
  begin
    s := ParamStr(i);
    head := Copy(s, 1, 1);
    if CompareStr(head, HYPHEN) = 0 then
      begin
        if CompareStr(s, VERSION_COMMENTS) = 0 then
          versionGuide(VERSION_NUMBER, WITH_COMMENTS);

        if CompareStr(s, VERSION_GUIDE) = 0 then
          versionGuide(VERSION_NUMBER, WITHOUT_COMMENTS);

      end;

  end;

  Application.Initialize;
  Application.MainFormOnTaskbar := True;
  Application.Title := 'SideAce';
  Application.CreateForm(TForm1, Form1);
  Application.CreateForm(TForm2, Form2);
  Application.CreateForm(TForm3, Form3);
  Application.Run;
end.
