unit VersionForm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, ShellAPI;

type
  TForm2 = class(TForm)
    Image1: TImage;
    Label1: TLabel;
    Label2: TLabel;
    Button1: TButton;
    Label3: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    PDFname: String;
    versionNumber: String;
  public
    procedure setVersion(p: String; v: String);
  end;

const
  COPYRIGHT = 'Copyright 2019 Sogaya';
  PDF_FILE_NAME = 'SideAceDelphi.pdf';
  TITLE = 'SideAce Delphi';
  VERSION_GAP = 'Version. ';
  VERSION_HEIGHT = 161;
  VERSION_WIDTH = 165;

var
  Form2: TForm2;

implementation

{$R *.dfm}

procedure TForm2.setVersion(p: String; v: String);
begin
  PDFname := p;
  versionNumber := VERSION_GAP + v;
  Label3.Caption := versionNumber;
end;

procedure TForm2.Button1Click(Sender: TObject);
begin
  ShellExecute(Handle, 'open', PDF_FILE_NAME, nil, nil, SW_NORMAL);
end;

procedure TForm2.FormCreate(Sender: TObject);
begin
  BorderIcons := [biSystemMenu];
  Left := ( Screen.Width - VERSION_WIDTH ) div 2;
  Top := ( Screen.Height - VERSION_HEIGHT ) div 2;
  Width := VERSION_WIDTH;
  Height := VERSION_HEIGHT;

  PDFname := PDF_FILE_NAME;
  Label1.Caption := TITLE;
  Label2.Caption := COPYRIGHT;
  Label3.Caption := '1.0';
end;

end.
